#include "simulation_data.h"

OMC_DISABLE_OPT
void BouncingBall_read_input_fmu(MODEL_DATA* modelData, SIMULATION_INFO* simulationInfo)
{
  simulationInfo->startTime = 0.0;
  simulationInfo->stopTime = 1.0;
  simulationInfo->stepSize = 0.002;
  simulationInfo->tolerance = 1e-06;
  simulationInfo->solverMethod = "dassl";
  simulationInfo->outputFormat = "mat";
  simulationInfo->variableFilter = ".*";
  simulationInfo->OPENMODELICAHOME = "/var/lib/jenkins1/ws/OpenModelica_maintenance_v1.17/build/bin/..";
  modelData->realVarsData[0].info.id = 1000;
  modelData->realVarsData[0].info.name = "h";
  modelData->realVarsData[0].info.comment = "height of ball";
  modelData->realVarsData[0].info.info.filename = "<interactive>";
  modelData->realVarsData[0].info.info.lineStart = 4;
  modelData->realVarsData[0].info.info.colStart = 3;
  modelData->realVarsData[0].info.info.lineEnd = 4;
  modelData->realVarsData[0].info.info.colEnd = 47;
  modelData->realVarsData[0].info.info.readonly = 0;
  modelData->realVarsData[0].attribute.unit = "";
  modelData->realVarsData[0].attribute.displayUnit = "";
  modelData->realVarsData[0].attribute.min = -DBL_MAX;
  modelData->realVarsData[0].attribute.max = DBL_MAX;
  modelData->realVarsData[0].attribute.fixed = 1;
  modelData->realVarsData[0].attribute.useNominal = 0;
  modelData->realVarsData[0].attribute.nominal = 1.0;
  modelData->realVarsData[0].attribute.start = 1.0;
  modelData->realVarsData[1].info.id = 1001;
  modelData->realVarsData[1].info.name = "v";
  modelData->realVarsData[1].info.comment = "velocity of ball";
  modelData->realVarsData[1].info.info.filename = "<interactive>";
  modelData->realVarsData[1].info.info.lineStart = 5;
  modelData->realVarsData[1].info.info.colStart = 3;
  modelData->realVarsData[1].info.info.lineEnd = 5;
  modelData->realVarsData[1].info.info.colEnd = 40;
  modelData->realVarsData[1].info.info.readonly = 0;
  modelData->realVarsData[1].attribute.unit = "";
  modelData->realVarsData[1].attribute.displayUnit = "";
  modelData->realVarsData[1].attribute.min = -DBL_MAX;
  modelData->realVarsData[1].attribute.max = DBL_MAX;
  modelData->realVarsData[1].attribute.fixed = 1;
  modelData->realVarsData[1].attribute.useNominal = 0;
  modelData->realVarsData[1].attribute.nominal = 1.0;
  modelData->realVarsData[1].attribute.start = 0.0;
  modelData->realVarsData[2].info.id = 1002;
  modelData->realVarsData[2].info.name = "der(h)";
  modelData->realVarsData[2].info.comment = "der(height of ball)";
  modelData->realVarsData[2].info.info.filename = "<interactive>";
  modelData->realVarsData[2].info.info.lineStart = 4;
  modelData->realVarsData[2].info.info.colStart = 3;
  modelData->realVarsData[2].info.info.lineEnd = 4;
  modelData->realVarsData[2].info.info.colEnd = 47;
  modelData->realVarsData[2].info.info.readonly = 0;
  modelData->realVarsData[2].attribute.unit = "";
  modelData->realVarsData[2].attribute.displayUnit = "";
  modelData->realVarsData[2].attribute.min = -DBL_MAX;
  modelData->realVarsData[2].attribute.max = DBL_MAX;
  modelData->realVarsData[2].attribute.fixed = 0;
  modelData->realVarsData[2].attribute.useNominal = 0;
  modelData->realVarsData[2].attribute.nominal = 1.0;
  modelData->realVarsData[2].attribute.start = 0.0;
  modelData->realVarsData[3].info.id = 1003;
  modelData->realVarsData[3].info.name = "der(v)";
  modelData->realVarsData[3].info.comment = "der(velocity of ball)";
  modelData->realVarsData[3].info.info.filename = "<interactive>";
  modelData->realVarsData[3].info.info.lineStart = 5;
  modelData->realVarsData[3].info.info.colStart = 3;
  modelData->realVarsData[3].info.info.lineEnd = 5;
  modelData->realVarsData[3].info.info.colEnd = 40;
  modelData->realVarsData[3].info.info.readonly = 0;
  modelData->realVarsData[3].attribute.unit = "";
  modelData->realVarsData[3].attribute.displayUnit = "";
  modelData->realVarsData[3].attribute.min = -DBL_MAX;
  modelData->realVarsData[3].attribute.max = DBL_MAX;
  modelData->realVarsData[3].attribute.fixed = 0;
  modelData->realVarsData[3].attribute.useNominal = 0;
  modelData->realVarsData[3].attribute.nominal = 1.0;
  modelData->realVarsData[3].attribute.start = 0.0;
  modelData->realVarsData[4].info.id = 1004;
  modelData->realVarsData[4].info.name = "v_new";
  modelData->realVarsData[4].info.comment = "";
  modelData->realVarsData[4].info.info.filename = "<interactive>";
  modelData->realVarsData[4].info.info.lineStart = 8;
  modelData->realVarsData[4].info.info.colStart = 3;
  modelData->realVarsData[4].info.info.lineEnd = 8;
  modelData->realVarsData[4].info.info.colEnd = 25;
  modelData->realVarsData[4].info.info.readonly = 0;
  modelData->realVarsData[4].attribute.unit = "";
  modelData->realVarsData[4].attribute.displayUnit = "";
  modelData->realVarsData[4].attribute.min = -DBL_MAX;
  modelData->realVarsData[4].attribute.max = DBL_MAX;
  modelData->realVarsData[4].attribute.fixed = 1;
  modelData->realVarsData[4].attribute.useNominal = 0;
  modelData->realVarsData[4].attribute.nominal = 1.0;
  modelData->realVarsData[4].attribute.start = 0.0;
  modelData->realParameterData[0].info.id = 1005;
  modelData->realParameterData[0].info.name = "e";
  modelData->realParameterData[0].info.comment = "coefficient of restitution";
  modelData->realParameterData[0].info.info.filename = "<interactive>";
  modelData->realParameterData[0].info.info.lineStart = 2;
  modelData->realParameterData[0].info.info.colStart = 3;
  modelData->realParameterData[0].info.info.lineEnd = 2;
  modelData->realParameterData[0].info.info.colEnd = 52;
  modelData->realParameterData[0].info.info.readonly = 0;
  modelData->realParameterData[0].attribute.unit = "";
  modelData->realParameterData[0].attribute.displayUnit = "";
  modelData->realParameterData[0].attribute.min = -DBL_MAX;
  modelData->realParameterData[0].attribute.max = DBL_MAX;
  modelData->realParameterData[0].attribute.fixed = 1;
  modelData->realParameterData[0].attribute.useNominal = 0;
  modelData->realParameterData[0].attribute.nominal = 1.0;
  modelData->realParameterData[0].attribute.start = 0.7;
  modelData->realParameterData[1].info.id = 1006;
  modelData->realParameterData[1].info.name = "g";
  modelData->realParameterData[1].info.comment = "gravity acceleration";
  modelData->realParameterData[1].info.info.filename = "<interactive>";
  modelData->realParameterData[1].info.info.lineStart = 3;
  modelData->realParameterData[1].info.info.colStart = 3;
  modelData->realParameterData[1].info.info.lineEnd = 3;
  modelData->realParameterData[1].info.info.colEnd = 47;
  modelData->realParameterData[1].info.info.readonly = 0;
  modelData->realParameterData[1].attribute.unit = "";
  modelData->realParameterData[1].attribute.displayUnit = "";
  modelData->realParameterData[1].attribute.min = -DBL_MAX;
  modelData->realParameterData[1].attribute.max = DBL_MAX;
  modelData->realParameterData[1].attribute.fixed = 1;
  modelData->realParameterData[1].attribute.useNominal = 0;
  modelData->realParameterData[1].attribute.nominal = 1.0;
  modelData->realParameterData[1].attribute.start = 9.81;
  modelData->integerVarsData[0].info.id = 1007;
  modelData->integerVarsData[0].info.name = "foo";
  modelData->integerVarsData[0].info.comment = "";
  modelData->integerVarsData[0].info.info.filename = "<interactive>";
  modelData->integerVarsData[0].info.info.lineStart = 9;
  modelData->integerVarsData[0].info.info.colStart = 3;
  modelData->integerVarsData[0].info.info.lineEnd = 9;
  modelData->integerVarsData[0].info.info.colEnd = 14;
  modelData->integerVarsData[0].info.info.readonly = 0;
  modelData->integerVarsData[0].attribute.min = -LONG_MAX;
  modelData->integerVarsData[0].attribute.max = LONG_MAX;
  modelData->integerVarsData[0].attribute.fixed = 0;
  modelData->integerVarsData[0].attribute.start = 0;
  modelData->booleanVarsData[0].info.id = 1008;
  modelData->booleanVarsData[0].info.name = "$whenCondition1";
  modelData->booleanVarsData[0].info.comment = "impact and v <= 0.0";
  modelData->booleanVarsData[0].info.info.filename = "<interactive>";
  modelData->booleanVarsData[0].info.info.lineStart = 16;
  modelData->booleanVarsData[0].info.info.colStart = 5;
  modelData->booleanVarsData[0].info.info.lineEnd = 16;
  modelData->booleanVarsData[0].info.info.colEnd = 50;
  modelData->booleanVarsData[0].info.info.readonly = 0;
  modelData->booleanVarsData[0].attribute.fixed = 1;
  modelData->booleanVarsData[0].attribute.start = 0;
  modelData->booleanVarsData[1].info.id = 1009;
  modelData->booleanVarsData[1].info.name = "$whenCondition2";
  modelData->booleanVarsData[1].info.comment = "impact";
  modelData->booleanVarsData[1].info.info.filename = "<interactive>";
  modelData->booleanVarsData[1].info.info.lineStart = 16;
  modelData->booleanVarsData[1].info.info.colStart = 5;
  modelData->booleanVarsData[1].info.info.lineEnd = 16;
  modelData->booleanVarsData[1].info.info.colEnd = 50;
  modelData->booleanVarsData[1].info.info.readonly = 0;
  modelData->booleanVarsData[1].attribute.fixed = 1;
  modelData->booleanVarsData[1].attribute.start = 0;
  modelData->booleanVarsData[2].info.id = 1010;
  modelData->booleanVarsData[2].info.name = "$whenCondition3";
  modelData->booleanVarsData[2].info.comment = "h <= 0.0 and v <= 0.0";
  modelData->booleanVarsData[2].info.info.filename = "<interactive>";
  modelData->booleanVarsData[2].info.info.lineStart = 18;
  modelData->booleanVarsData[2].info.info.colStart = 5;
  modelData->booleanVarsData[2].info.info.lineEnd = 18;
  modelData->booleanVarsData[2].info.info.colEnd = 21;
  modelData->booleanVarsData[2].info.info.readonly = 0;
  modelData->booleanVarsData[2].attribute.fixed = 1;
  modelData->booleanVarsData[2].attribute.start = 0;
  modelData->booleanVarsData[3].info.id = 1011;
  modelData->booleanVarsData[3].info.name = "flying";
  modelData->booleanVarsData[3].info.comment = "true, if ball is flying";
  modelData->booleanVarsData[3].info.info.filename = "<interactive>";
  modelData->booleanVarsData[3].info.info.lineStart = 6;
  modelData->booleanVarsData[3].info.info.colStart = 3;
  modelData->booleanVarsData[3].info.info.lineEnd = 6;
  modelData->booleanVarsData[3].info.info.colEnd = 67;
  modelData->booleanVarsData[3].info.info.readonly = 0;
  modelData->booleanVarsData[3].attribute.fixed = 1;
  modelData->booleanVarsData[3].attribute.start = 1;
  modelData->booleanVarsData[4].info.id = 1012;
  modelData->booleanVarsData[4].info.name = "impact";
  modelData->booleanVarsData[4].info.comment = "";
  modelData->booleanVarsData[4].info.info.filename = "<interactive>";
  modelData->booleanVarsData[4].info.info.lineStart = 7;
  modelData->booleanVarsData[4].info.info.colStart = 3;
  modelData->booleanVarsData[4].info.info.lineEnd = 7;
  modelData->booleanVarsData[4].info.info.colEnd = 17;
  modelData->booleanVarsData[4].info.info.readonly = 0;
  modelData->booleanVarsData[4].attribute.fixed = 0;
  modelData->booleanVarsData[4].attribute.start = 0;
}